Bug 249533 - (CVE-2007-3922) CVE-2007-3922 Vulnerability in the Java Runtime Environment May Allow an Untrusted Applet to Circumvent Network Access Restrictions
CVE-2007-3922 Vulnerability in the Java Runtime Environment May Allow an Untr...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://sunsolve.sun.com/search/docume...
impact=moderate,source=cve,reported=2...
: Security
Depends On: 250784 250974 250975 251133 337941 337951
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-25 09:39 EDT by Marc Schoenefeld
Modified: 2013-04-11 23:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-11 23:30:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2007-07-25 09:39:29 EDT
Description of problem:

A security vulnerability in the Java Runtime Environment Applet Class Loader may
allow an untrusted applet that is loaded from a remote system to circumvent
network access restrictions and establish socket connections to certain services
running on the local host, as if it were loaded from the system that the applet
is running on. This may allow the untrusted remote applet the ability to exploit
any security vulnerabilities existing in the services it has connected to.


Version-Release number of selected component (if applicable):

   Affects: RHEL4-EXTRAS-U5

Additional info:

IBM Java may also be affected (due to shared codebase).
Comment 6 Jan Lieskovsky 2010-08-31 09:36:24 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux version 4 Extras

Via RHSA-2007:0818 https://rhn.redhat.com/errata/RHSA-2007-0818.html
Comment 7 Jan Lieskovsky 2010-08-31 09:37:39 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux version 4 Extras
  RHEL Supplementary version 5

Via RHSA-2007:0829 https://rhn.redhat.com/errata/RHSA-2007-0829.html
Comment 8 Jan Lieskovsky 2010-08-31 09:39:04 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux version 2.1

Via RHSA-2008:0133 https://rhn.redhat.com/errata/RHSA-2008-0133.html

Note You need to log in before you can comment on or make changes to this bug.